from distutils.core import setup


setup(
    name = 'ngungu',
    packages = ['ngungu'],
    version = '0.2',
    license='MIT',
    description = 'Chinese Dialects G2P',
    author = 'CjangCjengh',
    author_email = '126621566zz@gmail.com',
    url = 'https://github.com/CjangCjengh/ngungu/',
    keywords = ['Chinese', 'Dialect', 'G2P'],
    install_requires=['opencc'],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
    ],
    package_data={
        'ngungu': [
            'dict/changzhou.json',
            'dict/changzhou.ocd2',
            'dict/cixi.json',
            'dict/cixi.ocd2',
            'dict/fuyang.json',
            'dict/fuyang.ocd2',
            'dict/guangdong.json',
            'dict/guangdong.ocd2',
            'dict/hangzhou.json',
            'dict/hangzhou.ocd2',
            'dict/jiading.json',
            'dict/jiading.ocd2',
            'dict/jiashan.json',
            'dict/jiashan.ocd2',
            'dict/jingjiang.json',
            'dict/jingjiang.ocd2',
            'dict/linping.json',
            'dict/linping.ocd2',
            'dict/ningbo.json',
            'dict/ningbo.ocd2',
            'dict/pinghu.json',
            'dict/pinghu.ocd2',
            'dict/ruao.json',
            'dict/ruao.ocd2',
            'dict/sanmen.json',
            'dict/sanmen.ocd2',
            'dict/shanghai.json',
            'dict/shanghai.ocd2',
            'dict/shaoxing.json',
            'dict/shaoxing.ocd2',
            'dict/sichuan.json',
            'dict/sichuan.ocd2',
            'dict/suichang.json',
            'dict/suichang.ocd2',
            'dict/suzhou.json',
            'dict/suzhou.ocd2',
            'dict/tiantai.json',
            'dict/tiantai.ocd2',
            'dict/tongxiang.json',
            'dict/tongxiang.ocd2',
            'dict/wenzhou.json',
            'dict/wenzhou.ocd2',
            'dict/wuxi.json',
            'dict/wuxi.ocd2',
            'dict/xiaoshan.json',
            'dict/xiaoshan.ocd2',
            'dict/xiashi.json',
            'dict/xiashi.ocd2',
            'dict/yixing.json',
            'dict/yixing.ocd2',
            'dict/youbu.json',
            'dict/youbu.ocd2',
            'dict/zhenru.json',
            'dict/zhenru.ocd2'
        ]
    },
)
